import { Connector as BaseConnector } from "laravel-echo/src/connector/connector";
import { Websocket } from "./Websocket";
import { Channel } from "./Channel";
export declare const broadcaster: (options: object) => Connector;
export declare class Connector extends BaseConnector {
    socket: Websocket;
    /**
     * All of the subscribed channel names.
     */
    channels: {
        [name: string]: Channel;
    };
    /**
     * Create a new class instance.
     */
    constructor(options: any);
    /**
     * Create a fresh Socket.io connection.
     */
    connect(): void;
    /**
     * Get a channel instance by name.
     */
    channel(name: string): Channel;
    /**
     * Get a private channel instance by name.
     */
    privateChannel(name: string): Channel;
    /**
     * Get a presence channel instance by name.
     */
    presenceChannel(name: string): Channel;
    /**
     * Leave the given channel, as well as its private and presence variants.
     */
    leave(name: string): void;
    /**
     * Leave the given channel.
     */
    leaveChannel(name: string): void;
    /**
     * Get the socket ID for the connection.
     */
    socketId(): string;
    /**
     * Disconnect socket connection.
     */
    disconnect(): void;
}
